RIO_OPEN_OUTB_MBOX(9)

NAME
rio_open_outb_mbox - Initialize MPC85xx outbound mailbox

SYNOPSIS

int rio_open_outb_mbox (struct rio_mport * mport, void * dev_id, int mbox, int entries);

ARGUMENTS

mport
    Master port implementing the outbound message unit

dev_id
    Device specific pointer to pass on event

mbox
    Mailbox to open

entries
    Number of entries in the outbound mailbox ring

DESCRIPTION

Initializes buffer ring, request the outbound message interrupt, and enables the outbound message unit. Returns 0 on success and -EINVAL or -ENOMEM on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.